Fedora minimal installations

Adam Jackson ajax at redhat.com
Wed Jul 29 18:33:22 UTC 2015


On Wed, 2015-07-29 at 15:42 +0200, Harald Hoyer wrote:

> - krb5-libs requires gawk - why do libs require utils other than 
> ldconfig?

This looks like it was originally a Requires(triggerun) for the
configure_default_ccache_name case. Since that's handling upgrading
from <= 1.11.3-16, we can probably drop it now:

dmt:~% (echo f19; echo f20) | xargs -n1 -I@ koji -q latest-pkg @ krb5
krb5-1.11.3-1.fc19                        f19                   nalin
krb5-1.11.3-33.fc20                       f20                   nalin

> - same with device-mapper-libs requiring device-mapper

* Wed Jun 23 2010 Alasdair Kergon <agk at redhat.com> - 2.02.68-1
- Have device-mapper-libs require device-mapper (circular) for udev rules.

Which is somewhat legitimate, since some of those rules do look like
they require calling out to tools provided in the base package:

ENV{DM_COOKIE}=="?*", IMPORT{program}="/usr/sbin/dmsetup udevflags $env{DM_COOKIE}"

>From staring at the reduced graph a bit, openldap -> nss-tools, which
is the only thing pulling in the NSS stack.  This looks pretty bogus to
me, openldap is just the core library package and none of them seem to
have any exec calls to anything in nss-tools.

- ajax


More information about the devel mailing list